Search Customers
curl --request POST \
--url https://api.upwell.com/api/rest/customers/search \
--header 'Content-Type: application/json' \
--data '
{
"limit": 10,
"offset": 0,
"orderBy": {},
"where": {}
}
'import requests
url = "https://api.upwell.com/api/rest/customers/search"
payload = {
"limit": 10,
"offset": 0,
"orderBy": {},
"where": {}
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({limit: 10, offset: 0, orderBy: {}, where: {}})
};
fetch('https://api.upwell.com/api/rest/customers/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"customers": [
{
"addresses": [
{
"city": "<string>",
"id": "<string>",
"stateOrProvince": "<string>",
"streetLine1": "<string>",
"streetLine2": "<string>",
"zipOrPostalCode": "<string>"
}
],
"balance": "<unknown>",
"billToCustomerId": "<string>",
"ccEmailAddresses": [
"<string>"
],
"createdAt": "2023-11-07T05:31:56Z",
"customerRule": {
"dueOption": 123,
"id": "<string>"
},
"emailAddress": "<string>",
"id": "<string>",
"metadata": "<unknown>",
"name": "<string>",
"overdueBalance": "<unknown>",
"overdueInvoiceCount": 123,
"sourceSystem": "<string>",
"sourceSystemId": "<string>",
"updatedAt": "2023-11-07T05:31:56Z"
}
]
}Customers
Search Customers
Search for customers based on specified criteria
POST
/
api
/
rest
/
customers
/
search
Search Customers
Headers
Your API key will be used for authentication of the request. Authorization: YOUR_API_KEY
Body
application/json
Query parameters can also be provided in the request body as a JSON object
Response
200 - application/json
Responses for POST /api/rest/customers/search
Show child attributes
Show child attributes
⌘I

